#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, K;
    scanf("%d", &N);
    scanf("%d", &K);
    int i;
    int cards[N];
    for (i=0; i<N; i++) {
        scanf("%d", &cards[i]);
    }
    for (i=0; i<N; i++) {
        if (cards[i] == K) {
            printf("%d", i+1);
        }
    }
    return 0;
}